# path.h File Reference

`#include <gwenhywfar/gwenhywfarapi.h>`
`#include <gwenhywfar/types.h>`
`#include <gwenhywfar/buffer.h>`

Go to the source code of this file.

## Path Flags

The path flags only use the lower word of the integer. The high word may be used/interpreted by the called function.
#define | GWEN_PATH_FLAGS_CHECKROOT 0x00000800
#define | GWEN_PATH_FLAGS_CONVERT_LAST 0x00000400
#define | GWEN_PATH_FLAGS_CREATE_GROUP 0x00000020
#define | GWEN_PATH_FLAGS_CREATE_VAR 0x00000040
#define | GWEN_PATH_FLAGS_ESCAPE 0x00000100
#define | GWEN_PATH_FLAGS_INTERNAL 0x0000c000
#define | GWEN_PATH_FLAGS_LAST 0x00004000
#define | GWEN_PATH_FLAGS_NAMEMUSTEXIST 0x00000008
#define | GWEN_PATH_FLAGS_NAMEMUSTNOTEXIST 0x00000010
#define | GWEN_PATH_FLAGS_NO_IDX 0x00001000
#define | GWEN_PATH_FLAGS_PATHCREATE 0x00000004
#define | GWEN_PATH_FLAGS_PATHMUSTEXIST 0x00000001
#define | GWEN_PATH_FLAGS_PATHMUSTNOTEXIST 0x00000002
#define | GWEN_PATH_FLAGS_RFU1 0x00002000
#define | GWEN_PATH_FLAGS_ROOT 0x00008000
#define | GWEN_PATH_FLAGS_TOLERANT_ESCAPE 0x00000200
#define | GWEN_PATH_FLAGS_UNESCAPE 0x00000100
#define | GWEN_PATH_FLAGS_VARIABLE 0x00000080

## Typedefs

typedef void *(* | GWEN_PATHHANDLERPTR )(const char *entry, void *data, GWEN_TYPE_UINT32 flags)
typedef void *(* | GWEN_PATHIDXHANDLERPTR )(const char *entry, void *data, int idx, GWEN_TYPE_UINT32 flags)

## Functions

GWENHYWFAR_API int | GWEN_Path_Convert (const char *path, GWEN_BUFFER *buffer, GWEN_TYPE_UINT32 flags)
GWENHYWFAR_API void * | GWEN_Path_Handle (const char *path, void *data, GWEN_TYPE_UINT32 flags, GWEN_PATHHANDLERPTR elementFunction)
GWENHYWFAR_API void * | GWEN_Path_HandleWithIdx (const char *path, void *data, GWEN_TYPE_UINT32 flags, GWEN_PATHIDXHANDLERPTR elementFunction)